Support » Plugin: BigCommerce For WordPress » Breaks my site

  • Resolved karp13

    (@karp13)


    I just installed the plugin which went fine. When I activate it I get the following error.

    `Parse error: syntax error, unexpected ‘class’ (T_CLASS), expecting identifier (T_STRING) or variable (T_VARIABLE) or ‘{‘ or ‘$’ in /home/mysite/public_html/mysite.com/wp-content/plugins/bigcommerce/src/BigCommerce/Container/Widgets.php on line 16′

    This error is the only thing that shows up on a white screen. I have to login to my cpanel file manager and delete the bigcommerce directory and then my site comes back up.

Viewing 6 replies - 1 through 6 (of 6 total)
  • I should probably mention I am using WP 4.9.8 with the dandelion theme from themeforest.

    I ave not tried it on a clean install yet.

    Plugin Support Karen

    (@karenpwhite)

    What version of PHP are you using? You’ll need to be sure that you’re on at lease 5.6+

    5.4

    That would be the problem. I have one site on my host that needs 5.4. Looks like its time to upgrade that clients site.

    Thanks for the quick response!

    Plugin Support Topher

    (@topher1kenobe)

    Resolving.

    Got the same problem. After activation of the plugin, my whole website broke. I had to get ftp access and delete the plugin manually in order to revive my website.

    WordPress version: 5.0.3
    Theme: Twenty Seventeen by WordPress
    Plugins: Jetpack by WordPress
    PHP: 5.6.30

    Error:
    Parse error: syntax error, unexpected ‘class’ (T_CLASS), expecting identifier (T_STRING) or variable (T_VARIABLE) or ‘{‘ or ‘$’ in /url/wp-content/plugins/bigcommerce/src/BigCommerce/Container/Widgets.php on line 16

    • This reply was modified 3 months, 1 week ago by  evilain.
    Plugin Support Mikaela

    (@mikaelabc)

    Hey @evilain,

    Can we try upgrading to a more recent version of PHP, such as 7.0+?

Viewing 6 replies - 1 through 6 (of 6 total)
  • You must be logged in to reply to this topic.